<% content_for :back_link do %>
  <%= link_to :back do %>
    <%= icon "chevron-left", class: "icon--small" %>
    <%= t(".back") %>
  <% end %>
<% end %>

<div class="row column">
  <div class="medium-centered">
    <div class="callout secondary">
      <%== t ".fill_data_help" %>
      <% if Decidim::StaticPage.exists?(slug: "introduire_ou_soutenir_une_petition") %>
        <%= link_to t(".more_information"), decidim.page_path("introduire_ou_soutenir_une_petition"), target: "_blank" %>.
      <% elsif Decidim::StaticPage.exists?(slug: "initiatives") %>
        <%= link_to t(".more_information"), decidim.page_path("initiatives"), target: "_blank" %>.
      <% end %>
    </div>
  </div>
</div>
<br>
<div class="row">
  <div class="medium-centered">
    <div class="card">
      <div class="card__content">
        <%= decidim_form_for(@form, url: next_wizard_path, method: :put, html: { class: "form new_initiative_form" }) do |f| %>
          <%= f.hidden_field :type_id %>
          <div class=section>
            <% unless single_initiative_type? %>
              <div class="field">
                <label for="type_description"><%= t ".initiative_type" %></label>
                <%= text_field_tag :type_description, strip_tags(translated_attribute(initiative_type.title)), readonly: true %>
              </div>
            <% end %>

            <div class="field">
              <%= f.text_field :title, autofocus: true, required: true %>
            </div>

            <div class="field">
              <%= f.text_area :description, rows: 8, maxlength: 10000, autocomplete: :off, required: true %>
            </div>

            <% if initiative_type.no_signature_allowed? %>
              <div class="field">
                <%= f.check_box :no_signature, help_text: t(".help_text") %>
              </div>
            <% end %>

            <% signature_type_options = signature_type_options(f.object) %>
            <% if signature_type_options.length == 1 %>
              <%= f.hidden_field :signature_type, value: signature_type_options.first.last %>
            <% else %>
              <div class="field">
                <%= f.select :signature_type, signature_type_options %>
              </div>
            <% end %>

            <% if scopes.length == 1 %>
              <%= f.hidden_field :scope_id, value: scopes.first.scope&.id %>
            <% else %>
              <div class="field">
                <%= f.select :scope_id,
                             scopes.map { |scope| [translated_attribute(scope.scope_name), scope&.scope&.id] },
                             prompt: t(".select_scope") %>
              </div>
            <% end %>

            <% if initiative_type.custom_signature_end_date_enabled? %>
              <div class="field signature-end-date">
                <%= f.date_field :signature_end_date %>
              </div>
            <% end %>

            <% if Decidim::UserGroups::ManageableUserGroups.for(current_user).verified.any? %>
              <div class="field">
                <%= f.select :decidim_user_group_id,
                             Decidim::UserGroups::ManageableUserGroups.for(current_user).verified.map { |g| [g.name, g.id] },
                             prompt: current_user.name %>
              </div>
            <% end %>

            <fieldset>
              <legend><b><%= t("attachment_legend", scope: "decidim.initiatives.initiatives.edit") %></b></legend>
              <div id="attachment-wrapper">
                <%= f.fields_for :attachment, @form.attachment do |nested_form| %>
                  <div class="field">
                    <%= nested_form.text_field :title %>
                  </div>

                  <div class="field">
                    <%= nested_form.upload :file, optional: false, accept: "application/pdf" %>
                  </div>

                  <% if @form.errors[:attachment].present? %>
                    <% @form.errors[:attachment].each do |message| %>
                      <small class="form-error is-visible">
                        <%= message %>
                      </small>
                    <% end %>
                  <% end %>
                <% end %>
              </div>
            </fieldset>
          </div>
          <div class="actions">
            <%= f.submit t(".continue"), class: "button expanded", data: { disable_with: t(".continue") } %>
          </div>
        <% end %>
      </div>
    </div>
  </div>
</div>
